DataBindingConfiguration (Grails 6.0.0)

Package: org.grails.plugins.databinding

## [Java] Class DataBindingConfiguration

- org.grails.plugins.databinding.DataBindingConfiguration

-     @org.springframework.context.annotation.Configuration
      public class DataBindingConfiguration

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private DataBindingConfigurationProperties` | `configurationProperties` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DataBindingConfiguration (DataBindingConfigurationProperties configurationProperties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected DataBindingSourceRegistry` | `dataBindingSourceRegistry(DataBindingSourceCreator creators)`
    `` | `protected GrailsWebDataBinder` | `grailsWebDataBinder(GrailsApplication grailsApplication, ValueConverter[] valueConverters, FormattedValueConverter[] formattedValueConverters, TypedStructuredBindingEditor[] structuredBindingEditors, DataBindingListener[] dataBindingListeners)`
    `` | `protected HalJsonDataBindingSourceCreator` | `halJsonDataBindingSourceCreator()`
    `` | `protected HalXmlDataBindingSourceCreator` | `halXmlDataBindingSourceCreator()`
    `` | `protected JsonApiDataBindingSourceCreator` | `jsonApiDataBindingSourceCreator()`
    `` | `protected JsonDataBindingSourceCreator` | `jsonDataBindingSourceCreator()`
    `` | `protected XmlDataBindingSourceCreator` | `xmlDataBindingSourceCreator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final DataBindingConfigurationProperties configurationProperties

  - ### Constructor Detail

    - #### public DataBindingConfiguration(DataBindingConfigurationProperties configurationProperties)

  - ### Method Detail

    - #### @org.springframework.context.annotation.Bean("dataBindingSourceRegistry") protected DataBindingSourceRegistry dataBindingSourceRegistry(DataBindingSourceCreator creators)

    - #### @org.springframework.context.annotation.Bean("grailsWebDataBinder") protected GrailsWebDataBinder grailsWebDataBinder(GrailsApplication grailsApplication, ValueConverter[] valueConverters, FormattedValueConverter[] formattedValueConverters, TypedStructuredBindingEditor[] structuredBindingEditors, DataBindingListener[] dataBindingListeners)

    - #### @org.springframework.context.annotation.Bean("halJsonDataBindingSourceCreator") protected HalJsonDataBindingSourceCreator halJsonDataBindingSourceCreator()

    - #### @org.springframework.context.annotation.Bean("halXmlDataBindingSourceCreator") protected HalXmlDataBindingSourceCreator halXmlDataBindingSourceCreator()

    - #### @org.springframework.context.annotation.Bean("jsonApiDataBindingSourceCreator") protected JsonApiDataBindingSourceCreator jsonApiDataBindingSourceCreator()

    - #### @org.springframework.context.annotation.Bean("jsonDataBindingSourceCreator") protected JsonDataBindingSourceCreator jsonDataBindingSourceCreator()

    - #### @org.springframework.context.annotation.Bean("xmlDataBindingSourceCreator") protected XmlDataBindingSourceCreator xmlDataBindingSourceCreator()